import { Logger } from "winston"

import { AttachService, LarkService } from "../services"
import NetTool from "../utils/netTool"

export namespace Context {
  export interface Data {
    req: Request
    requestId: string
    logger: Logger
    genResp: NetTool
    body: any
    text: string
    larkService: LarkService
    attachService: AttachService
  }
}
